/*        AMTSR */

int main(void)
{
    /* Initialized data */
    static int ia[6] = { 1,4,6,8,11,14 };
    static int ja[13] = { 5,6,3,4,1,3,4,4,3,1,2,6,5 };
    static float an[13] = { 15.f,16.f,13.f,24.f,21.f,33.f,34.f,44.f,43.f,
                            41.f,52.f,56.f,55.f };
    /* Local variables */
    static int m, n;
    extern int amtsr_c(int *, int *, float *, int *, int *, int *,
                       int *, float *);
    static int iat[7], jat[13];
    static float ant[13];

    n = 5;
    m = 6;
    amtsr_c(ia, ja, an, &n, &m, iat, jat, ant);

    printf("\n %5i %5i %5i %5i %5i %5i %5i \n",
           iat[0], iat[1], iat[2], iat[3], iat[4], iat[5], iat[6]);
    printf("\n %5i %5i %5i %5i %5i %5i %5i %5i %5i %5i %5i %5i %5i \n",
           jat[0], jat[1], jat[2], jat[3], jat[4], jat[5], jat[6],
           jat[7], jat[8], jat[9], jat[10], jat[11], jat[12]);
    printf("\n %5.1f %5.1f %5.1f %5.1f %5.1f %5.1f %5.1f \n",
           ant[0], ant[1], ant[2], ant[3], ant[4], ant[5], ant[6]);
    printf("\n %5.1f %5.1f %5.1f %5.1f %5.1f %5.1f \n",
           ant[7], ant[8], ant[9], ant[10], ant[11], ant[12]);
    return 0;
} /* main */
